Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.session
Class GraphSession.PropertyInfo<PropertyPayload>

    java.lang.Object
      org.modeshape.graph.session.GraphSession.PropertyInfo<PropertyPayload>

Enclosing class:
  GraphSession<Payload,PropertyPayload>

    public static final class GraphSession.PropertyInfo<PropertyPayload>

extends Object

Constructor Summary
`GraphSession.PropertyInfo(Property property, boolean multiValued, GraphSession.Status status, PropertyPayload payload)`

Method Summary
`boolean` | `equals(Object obj)`
`Name` | `getName()` Get the name of the property.
`PropertyPayload` | `getPayload()` Get the payload for this property.
`Property` | `getProperty()` Get the Graph API property object containing the values.
`GraphSession.Status` | `getStatus()` Get the status of this property.
`int` | `hashCode()`
`boolean` | `isModified()` Determine whether this property has been modified since it was last saved.
`boolean` | `isMultiValued()` Determine whether this property has multiple values
`boolean` | `isNew()` Determine whether this property has been created since the last save.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphSession.PropertyInfo

    public GraphSession.PropertyInfo(Property property,
                                     boolean multiValued,
                                     GraphSession.Status status,
                                     PropertyPayload payload)

Method Detail

### getStatus

    public GraphSession.Status getStatus()

  Get the status of this property.

  Returns:
    the current status; never null

### isModified

    public boolean isModified()

  Determine whether this property has been modified since it was last saved.

  Returns:
    true if the `status` is `changed`

### isNew

    public boolean isNew()

  Determine whether this property has been created since the last save.

  Returns:
    true if the `status` is `new`

### getName

    public Name getName()

  Get the name of the property.

  Returns:
    the propert name; never null

### getProperty

    public Property getProperty()

  Get the Graph API property object containing the values.

  Returns:
    the property object; never null

### getPayload

    public PropertyPayload getPayload()

  Get the payload for this property.

  Returns:
    the payload; may be null if there is no payload

### isMultiValued

    public boolean isMultiValued()

  Determine whether this property has multiple values

  Returns:
    multiValued

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.